Skip to main content
POST
/
addresses
/
list
List addresses with filtering and pagination
curl --request POST \
  --url https://api.artu.ai/addresses/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "filter": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "city": "<string>",
    "state": "<string>",
    "country": "<string>",
    "externalId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "metadataFilters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "scopeData": {
      "MX": {
        "neighborhood": "<string>",
        "municipality": "<string>"
      }
    }
  },
  "sort": [
    {}
  ],
  "cursor": "<string>",
  "offset": 4503599627370495,
  "limit": 20,
  "includeTotalCount": true
}
'
{
  "data": [
    {
      "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "isPrimary": true,
      "street": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postalCode": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "type": "home",
      "country": "<unknown>",
      "externalId": "<string>",
      "metadata": {},
      "scopeData": {
        "MX": {
          "exteriorNumber": "<string>",
          "interiorNumber": "<string>",
          "neighborhood": "<string>",
          "municipality": "<string>",
          "betweenStreets": "<string>",
          "reference": "<string>",
          "cnbv": {
            "TRANSMISOR": {}
          }
        },
        "US": "<unknown>"
      }
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "<string>",
    "totalCount": 0
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Body

application/json
filter
object
sort
object[]
cursor
string
offset
integer
Required range: 0 <= x <= 9007199254740991
limit
integer
default:20
Required range: 1 <= x <= 200
includeTotalCount
boolean

Response

200 - application/json

OK

data
object[]
required
pagination
object
required